Package org.opensaml.xmlsec.signature

# Interface SignableXMLObject

All Superinterfaces:
  `XMLObject`

All Known Subinterfaces:
  `AffiliationDescriptor`, `ArtifactResolve`, `ArtifactResponse`, `Assertion`, `Assertion`, `AssertionIDRequest`, `AttributeAuthorityDescriptor`, `AttributeQuery`, `AttributeQueryDescriptorType`, `AuthnAuthorityDescriptor`, `AuthnQuery`, `AuthnQueryDescriptorType`, `AuthnRequest`, `AuthzDecisionQuery`, `AuthzDecisionQueryDescriptorType`, `EntitiesDescriptor`, `EntityDescriptor`, `IDPSSODescriptor`, `LogoutRequest`, `LogoutResponse`, `ManageNameIDRequest`, `ManageNameIDResponse`, `NameIDMappingRequest`, `NameIDMappingResponse`, `PDPDescriptor`, `QueryDescriptorType`, `Request`, `RequestAbstractType`, `RequestAbstractType`, `Response`, `Response`, `ResponseAbstractType`, `RoleDescriptor`, `SignableSAMLObject`, `SPSSODescriptor`, `SSODescriptor`, `StatusResponseType`, `SubjectQuery`, `XACMLAuthzDecisionQueryType`, `XACMLPolicyQueryType`

All Known Implementing Classes:
  `AbstractSignableSAMLObject`, `AbstractSignableXMLObject`, `AffiliationDescriptorImpl`, `ArtifactResolveImpl`, `ArtifactResponseImpl`, `AssertionIDRequestImpl`, `AssertionImpl`, `AssertionImpl`, `AttributeAuthorityDescriptorImpl`, `AttributeQueryDescriptorTypeImpl`, `AttributeQueryImpl`, `AuthnAuthorityDescriptorImpl`, `AuthnQueryDescriptorTypeImpl`, `AuthnQueryImpl`, `AuthnRequestImpl`, `AuthzDecisionQueryDescriptorTypeImpl`, `AuthzDecisionQueryImpl`, `EntitiesDescriptorImpl`, `EntityDescriptorImpl`, `IDPSSODescriptorImpl`, `LogoutRequestImpl`, `LogoutResponseImpl`, `ManageNameIDRequestImpl`, `ManageNameIDResponseImpl`, `NameIDMappingRequestImpl`, `NameIDMappingResponseImpl`, `PDPDescriptorImpl`, `QueryDescriptorTypeImpl`, `RequestAbstractTypeImpl`, `RequestAbstractTypeImpl`, `RequestImpl`, `ResponseAbstractTypeImpl`, `ResponseImpl`, `ResponseImpl`, `RoleDescriptorImpl`, `RoleDescriptorXSAnyAdapter`, `SPSSODescriptorImpl`, `SSODescriptorImpl`, `StatusResponseTypeImpl`, `SubjectQueryImpl`, `XACMLAuthzDecisionQueryTypeImpl`, `XACMLPolicyQueryTypeImpl`

public interface SignableXMLObject extends XMLObject
An XMLObject whose DOM representation can be digitally signed.

## Method Summary

Modifier and Type
Method
Description
`Signature`
`getSignature()`
Gets the Signature XMLObject.
`boolean`
`isSigned()`
Checks to see if the element has been signed.
`void`
`setSignature(Signature newSignature)`
Sets the Signature XMLObject.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Method Details

### isSigned

boolean isSigned()
Checks to see if the element has been signed.

Returns:
  true iff this element is signed

### getSignature

@Nullable Signature getSignature()
Gets the Signature XMLObject.

Returns:
  the Signature XMLObject

### setSignature

void setSignature(@Nullable Signature newSignature)
Sets the Signature XMLObject.

Parameters:
  `newSignature` - the Signature XMLObject